python-lldb-3.7_3.7.1-2ubuntu2_amd64.deb


Advertisement

Description

python-lldb-3.7 - Next generation, high-performance debugger, python lib

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-lldb-3.7
Package version: 3.7.1
Package release: 2ubuntu2
Package architecture: amd64
Package type: deb
Installed size: 711 B
Download size: 89.42 KB
Official Mirror: archive.ubuntu.com
LLDB is a next generation, high-performance debugger. It is built as a set of reusable components which highly leverage existing libraries in the larger LLVM Project, such as the Clang expression parser and LLVM disassembler. This binding package provides access to lldb.

Alternatives

Requires

Conflicts

  • python-lldb-3.4
  • python-lldb-3.5
  • python-lldb-3.6
  • python-lldb-3.8

    Download

    Source package: llvm-toolchain-3.7

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-lldb-3.7 deb package:
      # sudo apt-get install python-lldb-3.7

    Files

    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/__init__.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/_lldb.so
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/argdumper
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/embedded_interpreter.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/libLLVM-3.7.1.so.1
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/libLLVM-3.7.so.1
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/formatters/Logger.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/formatters/__init__.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/formatters/attrib_fromdict.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/formatters/cache.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/formatters/metrics.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/formatters/cpp/__init__.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/formatters/cpp/gnu_libstdcpp.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/formatters/cpp/libcxx.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/runtime/__init__.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/utils/__init__.py
    • /usr/lib/llvm-3.7/lib/python2.7/site-packages/lldb/utils/symbolication.py
    • /usr/lib/python2.7/dist-packages/lldb
    • /usr/share/doc/python-lldb-3.7/NEWS.Debian.gz
    • /usr/share/doc/python-lldb-3.7/changelog.Debian.gz
    • /usr/share/doc/python-lldb-3.7/copyright

    Changelog

    2016-04-18 - Matthias Klose <doko@ubuntu.com> llvm-toolchain-3.7 (1:3.7.1-2ubuntu2) xenial; urgency=medium * Do not link executables with a linker version script.

    2016-03-07 - Gianfranco Costamagna <locutusofborg@debian.org> llvm-toolchain-3.7 (1:3.7.1-2ubuntu1) xenial; urgency=medium * Merge from Debian unstable. Remaining changes: - libllvm3.7: Add Conflicts/Replaces to libllvm3.7v4 (anticipated backport). - Disable LLDB on i386, the testsuite is failing.

    2016-03-07 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.7 (1:3.7.1-2) unstable; urgency=medium [ Sylvestre Ledru] * Update the clang description for something more accurate (C++-11, 14, etc) [ Gianfranco Costamagna ] * Disable polly on mips, powerpc and s390x, the testsuite is failing (Closes: #816743).

    2016-02-10 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com> llvm-toolchain-3.7 (1:3.7.1-1ubuntu4) xenial; urgency=medium * No-change rebuild for the libjsoncpp transition.

    2016-01-11 - Gianfranco Costamagna <locutusofborg@debian.org> llvm-toolchain-3.7 (1:3.7.1-1ubuntu3) xenial; urgency=medium * Disable POLLY on powerpc and s390x, testsuite is failing. (LP: #1532716)

    2015-12-20 - Gianfranco Costamagna <locutusofborg@debian.org> llvm-toolchain-3.7 (1:3.7.1-1ubuntu2) xenial; urgency=medium * Disable LLDB on i386, the testsuite is failing. (LP: #1527865)

    2015-12-11 - Gianfranco Costamagna <locutusofborg@debian.org> llvm-toolchain-3.7 (1:3.7.1-1ubuntu1) xenial; urgency=low * Merge from Debian unstable (LP: #1525122). Remaining changes: - libllvm3.7: Add Conflicts/Replaces to libllvm3.7v4 (anticipated backport).

    2015-12-10 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.7 (1:3.7.1-1) unstable; urgency=medium * New stable release * Fix bad symlinks (Closes: #806319) * Fix an install issue with clang-tidy

    2015-11-25 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.7 (1:3.7.1~+rc2-1~exp1) experimental; urgency=medium * New snapshot release

    2015-11-18 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.7 (1:3.7.1~+rc1-1~exp1) experimental; urgency=medium * New snapshot release * Also install run-clang-tidy.py & clang-tidy-diff.py (also installed in usr/bin/ as run-clang-tidy-3.7.py & clang-tidy-diff-3.7.py) * Fix clang-modernize detection of clang-apply-replacements (Closes: #791607) * Priority extra for liblldb-3.7-dbg * clang-tidy-3.7 depends on python

    Advertisement
    Advertisement